Get Instagram Professional Accounts

http
GET https://services.leadconnectorhq.com/social-media-posting/oauth/{locationId}/instagram/accounts/{accountId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
locationIdstringYesw37swmmLbA02zgqKPpxITe2Account Account Id
accountIdstringYesw37swmmLbA02zgqKPpxITeAccount Id

Responses

200 - Successful response
  • success (boolean, required): Success or Failure Example: True

  • statusCode (number, required): Status Code Example: 200

  • message (string, required): Message Example: Fetched Instagram Account

  • results (object): Requested Results

json
{
  "success": true,
  "statusCode": 200,
  "message": "Fetched Instagram Account"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/social-media-posting/oauth/YOUR_locationId/instagram/accounts/YOUR_accountId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?